<?php


require_once 'default-pages.php';
require_once 'shortcodes.php';
require_once 'post-types.php';
require_once 'post-types.php';
require_once 'theme-settings.php';



// Adding settings link to admin side menu.
function vq_add_theme_setting_page() {
    add_menu_page('Theme Options', 'Theme Options', 'manage_options', 'theme_options.php', 'vq_theme_settings_page');
}





// Register Sidebars
function vq_generic_sidebar() {
    register_sidebar(
        array (
            'name' => __( 'Generic Sidebar'),
            'id' => 'vq-sidebar',
            'before_widget' => '<div class="widget-content">',
            'after_widget' => "</div>",
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
}
add_action( 'widgets_init', 'vq_generic_sidebar' );
